/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef _CALLBACKS_H
#define _CALLBACKS_H

void on_app_window_destroy (GtkObject *object, gpointer user_data);
gint on_app_window_delete_event (GtkWidget *widget, gpointer user_data);
void on_open_activate (GtkWidget *widget, gpointer user_data);
void on_preferences_activate (GtkWidget *widget, gpointer user_data);
void on_quit_activate (GtkWidget *widget, gpointer user_data);
void on_read_activate (GtkWidget *widget, gpointer user_data);
void on_write_activate (GtkWidget *widget, gpointer user_data);
void on_verify_activate (GtkWidget *widget, gpointer user_data);
void on_configure_activate (GtkWidget *widget, gpointer user_data);
void on_about_activate (GtkWidget *widget, gpointer user_data);

#endif /* _CALLBACKS_H */
