/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef _DIALOGS_H
#define _DIALOGS_H

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>
#include <glade/glade.h>

#include "avrdude.h"

GtkResponseType message_dialog (GtkMessageType type, const gchar *message);

gchar *open_file_dialog();

gchar *save_file_dialog();

void preferences_dialog ();

void configure_dialog (AvrDudeOptions *options);

void about_dialog ();

GtkWidget *show_running_dialog (gchar op);
            
#endif /* _DIALOGS_H */
